require( "scripts/style.lua" );

kButtonSpacing = 60;	-- Put our buttons 60 pixels apart
kButtonY = kCenter-60;	-- Three buttons means center 60 pixels above the center

-- When this dialog is popped up, we're entering pause state, so
-- let's just notify TGameState now.
SetState( kPause, true );

MakeDialog
{
	-- Name the modal dialog
	name="pausemenu",
	Bitmap
	{
		image="backgrounds/dialog",
		x=kCenter,
		y=kCenter,

		SetStyle(ButtonStyle),
		Button
		{
			x=kCenter,
			y=kButtonY,
			label="resume",
			close = true,	-- Just close this window
			command=
				function()
					SendGameMessage( "resume" );
	                SetState( kPause, false );
				end;

		},

		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 1),
			label="options",
			command=
				function()
					-- Pop up an options screen
					DoModal("scripts/options.lua");
				end
		},

		Button
		{
			x=kCenter,
			y=kButtonY + (kButtonSpacing * 2),
			label="restart",
			command=
				function()
					-- Our game processes this message--it's not
					-- handled by Playground
                    SendGameMessage( "restart" );
	                SetState( kPause, false );
				end
		},
	},
}